interactions:
- request:
    body: ''
    headers:
      accept:
      - application/json
      accept-encoding:
      - gzip, deflate
      connection:
      - keep-alive
      host:
      - 192.168.99.19:8080
      user-agent:
      - python-httpx/0.26.0
      x-accept-vulnerabilities:
      - application/vnd.security.vulnerability.report; version=1.1
    method: GET
    uri: http://192.168.99.19:8080/api/v2.0/projects/production/repositories/test/artifacts/xpto?page=1&page_size=20&with_tag=true&with_label=true&with_scan_overview=false&with_signature=false&with_immutable_status=false&with_accessory=false
  response:
    content: '{"accessories":null,"addition_links":{"build_history":{"absolute":false,"href":"/api/v2.0/projects/production/repositories/test/artifacts/sha256:7aaee0574a18cd044836c47c6bb82853664fb336c6d4cdf374dfd95482fbb432/additions/build_history"},"vulnerabilities":{"absolute":false,"href":"/api/v2.0/projects/production/repositories/test/artifacts/sha256:7aaee0574a18cd044836c47c6bb82853664fb336c6d4cdf374dfd95482fbb432/additions/vulnerabilities"}},"digest":"sha256:7aaee0574a18cd044836c47c6bb82853664fb336c6d4cdf374dfd95482fbb432","extra_attrs":{"architecture":"amd64","author":"","config":{"ArgsEscaped":true,"Cmd":["sh"],"Env":["PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"],"WorkingDir":"/"},"created":"2024-01-11T11:38:29.388217055Z","os":"linux"},"icon":"sha256:0048162a053eef4d4ce3fe7518615bef084403614f8bca43b40ae2e762e11e06","id":17,"labels":null,"manifest_media_type":"application/vnd.docker.distribution.manifest.v2+json","media_type":"application/vnd.docker.container.image.v1+json","project_id":3,"pull_time":"0001-01-01T00:00:00.000Z","push_time":"2024-01-11T15:48:07.887Z","references":null,"repository_id":6,"size":2222513,"tags":[{"artifact_id":17,"id":27,"immutable":false,"name":"xpto","pull_time":"0001-01-01T00:00:00.000Z","push_time":"2024-01-11T15:48:07.898Z","repository_id":6}],"type":"IMAGE"}

      '
    headers:
      Connection:
      - keep-alive
      Content-Length:
      - '1331'
      Content-Security-Policy:
      - frame-ancestors 'none'
      Content-Type:
      - application/json
      Date:
      - Thu, 11 Jan 2024 15:48:08 GMT
      Server:
      - nginx
      Set-Cookie:
      - sid=5c072886830bf5c4fa65c38034b78bc6; Path=/; HttpOnly
      X-Frame-Options:
      - DENY
      X-Request-Id:
      - f7911878-694a-41c2-9a01-14714e87bdda
    http_version: HTTP/1.1
    status_code: 200
version: 1
